> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a program



## OpenAPI

````yaml put /program/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /program/{program_id}:
    put:
      tags:
        - Programs
      summary: Edit a program
      operationId: c8f6eece1e12ffd799524efe3b9f4ce1
      parameters:
        - name: program_id
          in: path
          description: The ID of the program to update
          required: true
          schema:
            type: integer
      requestBody:
        description: Data to update a program
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  description: The ID of the program
                  type: integer
                  example: 3541
                client_id:
                  description: The ID of the client
                  type: string
                  example: '207'
                hysform_id:
                  description: The ID of the hysform
                  type: integer
                  example: 638
                donor_hysform_id:
                  type: integer
                  example: null
                setting_id:
                  description: The ID of the setting
                  type: integer
                  example: 410
                emailset_id:
                  type: integer
                  example: 1567
                entity_submit:
                  description: The entity submit
                  type: string
                  example: null
                donor_submit:
                  description: The donor submit
                  type: string
                  example: null
                link_id:
                  description: The ID of the link
                  type: integer
                  example: null
                name:
                  description: The name of the program
                  type: string
                  example: adfdfs
                prefix:
                  description: The prefix of the program
                  type: string
                  example: fd
                counter:
                  description: The counter of the program
                  type: string
                  example: '0'
                lft:
                  description: The lft of the program
                  type: integer
                  example: 2
                rgt:
                  description: The rgt of the program
                  type: integer
                  example: 5
                tree:
                  description: The tree of the program
                  type: integer
                  example: 207
                box_folder_id:
                  type: integer
                  example: null
                deleted_at:
                  type: string
                  example: null
                created_at:
                  type: string
                  example: '2023-11-23T17:14:06.000000Z'
                updated_at:
                  type: string
                  example: '2023-11-23T17:21:37.000000Z'
                children:
                  type: array
                  items:
                    type: integer
                  example: '[]'
                user_id:
                  description: The ID of the user
                  type: integer
                  example: 542
                program_id:
                  description: The ID of the program
                  type: integer
                  example: 3541
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Program info successfully updated.
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error message
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````